import sys

if len(sys.argv) != 3:
    print('Usage: {} <input_file> <output_file>'.format(sys.argv[0]))
    sys.exit(0)

arr = []
with open(sys.argv[1], 'r') as in_file:
    arr = [int(x) for x in in_file.readline().split()]

arr.sort()

sol = []
with open(sys.argv[2], 'r') as out_file:
    sol = [int(x) for x in out_file.readline().split()]

if len(sol) != len(arr):
    print('WA')
    sys.exit(1)

for x, y in zip(arr, sol):
    if x != y:
        print('WA')
        sys.exit(1)

print('OK')
sys.exit(0)
